#
# umpk02.rb
#
# $Id: umpk02.rb,v 1.1 2000/11/22 14:36:00 keiko Exp $
#

require "narray"
require "dcl"

include DCL
include Math


NP = 14

#-- data ---
ntr = [10,   11,   12,   13,   14,   15,   20,
       21,   22,   23,   30,   31,   32,   33]

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn(-(iws.abs))

slrat(2.0, 3.0)
sldiv('Y', 2, 3)

umiset('INDEXMJ', 1)
umiset('ITYPEMN', 1)

for i in 0..NP-1
  grfrm
#       CALL GRSMPL( 0.0, 90.0, 0.0 )
  grsvpt(0.1, 0.9, 0.1, 0.9)
  grstrn(ntr[i])
  umpfit
  grstrf

  sglset('LCLIP', true)
  slpwwr(1)
  slpvpr(1)
  cttl = sgtrnl(ntr[i])
  sgtxzr(0.5, 0.95, cttl, 0.03, 0, 0, 3)

  umpmap('coast_world')
  umpglb

  if ( ntr[i] == 23 )
    grfrm
    grfrm
  end
end

grcls

