#
# uspac2.rb
#
# $Id: uspac2.rb,v 1.1 2000/11/21 03:15:46 keiko Exp $
#

require "num/numarray"
require "num/dcl"

include Num::DCL
include Math


NMAX = 201
IMAX = 5
x = NumArray.new(Float, NMAX)
y0 = NumArray.new(Float, NMAX)
y1 = NumArray.new(Float, NMAX)
y2 = NumArray.new(Float, NMAX)
a = NumArray.new(Float, IMAX)

#-- data ---
for i in 0..IMAX-1
  ii = 2*i + 1
  a[i] = ((-1)**(i+1))*2/(ii*PI)
end

x.span(0.0, 1.0/(NMAX-1))
for n in 0..NMAX-1
  t     = 2.0*PI*x[n]
  if (t < PI/2.0 || t >= PI*3.0/2.0)
    y0[n] = 0.0
  else
    y0[n] = 1.0
  end
  y1[n] = 0.5 + a[0]*cos(t) 
  y2[n] = 0.5
  for i in 0..IMAX-1
    ii = 2*i + 1
    y2[n] = y2[n] + a[i]*cos(ii*t)
  end
end

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm

usspnt(NMAX, x, y0)
usspnt(NMAX, x, y1)
usspnt(NMAX, x, y2)
uspfit
grstrf

ussttl('FREQUENCY', '/DAY', 'RESPONSE', ' ')
usdaxs

uulin(NMAX, x, y0)
uuslnt(2)
uuslni(3)
uulin(NMAX, x, y1)
uuslnt(3)
uulin(NMAX, x, y2)

grcls

